\begin{abstract}
{
This thesis describes the design and development of an acoustophoretic manipulation platform \emph{AcouMan}.
The platform uses a matrix of ultrasonic transducers to steer millimeter-scale objects floating on a water surface.
The transducers driven by phase-shifted square-wave signals allow shaping the acoustic field.
The phase-shifts are periodically determined through real-time numerical optimization so that a desired shape of the acoustic field is achieved.
An implementation of a tailored solver was necessary to meet the real-time requirements.
The thesis explores the manipulation of spherical and planar floating objects.
For both, a mathematical model is designed that describes the motion of the object due to the force effect of the acoustic field.
The control system for spheres is based on a linear-quadratic regulator (LQR); the control system for planar objects is based on model predictive control (MPC) and particle swarm optimization (PSO).
Besides positioning single and multiple objects, the performance of the control methods is also demonstrated through assembling several planar objects into predefined tight formations.
\\
\\
\textbf{Keywords:} ultrasound, non-contact manipulation, LQR, MPC, real-time optimization
}

% ------------- 
{
Tato práce popisuje návrh a vývoj akustoforetické manipulační platformy \emph{AcouMan}.
Tato platforma využívá pole ultrazvukových měničů pro řízení milimetrových objektů plovoucích na vodní hladině.
Ultrazvukové měniče jsou řízeny obdélníkovými signály s různými fázovými posuvy, což umožňuje tvarovat akustické pole.
Tyto fázové posuvy se nastavují periodicky podle výsledků numerické optimalizace tak, aby vzniklo akustické pole s požadovaným tvarem.
Pro funkčnost v reálném čase bylo nutné implementovat solver šitý na míru.
Tato práce zkoumá bezkontaktní manipulaci s kulovými a planárními objekty.
Pro oba případy je navržen matematický model objektu, který popisuje jeho pohyb v důsledku silového působení akustického pole.
Systém pro řízení kulových objektů je založen na lineárně-kvadratickém regulátoru (LQR), zatímco systém pro planární objekty je založen na prediktivním řízení (MPC) a \abbrv{tzv.} \emph{particle swarm} optimalizaci (PSO).
Výkon těchto řídicích metod je kromě pozicování jednoho či více objektů demonstrován také skládáním planárních objektů do předepsaných těsných formací.
\\
\\
\textbf{Klíčová slova:} ultrazvuk, bezkontaktní manipulace, LQR, MPC, optimalizace v reálném čase
}
\end{abstract}